//
//  BsBaseViewController.swift
//  BaiSiSMApp
//
//  Created by davidhuang on 2022/10/21.
//  Copyright © 2022 www.davidhuang.com. All rights reserved.
//

import UIKit
import GKNavigationBarSwift
import IQKeyboardManagerSwift

class YHBaseViewController: UIViewController {
    override func viewDidLoad() {
        super.viewDidLoad()
        
        //背景色
        view.backgroundColor =  UIColor.pageBkgColor
        
        //vc中导航栏默认透明,需要使用到的 在各自的vc中定制
        gk_navBackgroundColor = .clear
        gk_navLineHidden = true
        gk_navBarAlpha = 0
        
        //
#if DEBUG
        IQKeyboardManager.shared.enable = true
#endif
        
    }
    
    override var prefersStatusBarHidden: Bool {
        return self.gk_statusBarHidden
    }
    
    override var preferredStatusBarStyle: UIStatusBarStyle {
        return self.gk_statusBarStyle
    }
    
    deinit {
#if DEBUG
        printLog(#function)
#endif
    }
}
